
QGIS Application - Bug report #20742

Zoom to Layer does not respond to filtered WFS

2018-12-06 02:45 PM - Lars Ellebjerg

Status: Closed

Priority: High

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: Win 7 Pro SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28562

Description

When using Zoom to Layer on a filtered WFS QGIS zooms to the entire layer, not to the ones in the map.

In my case I have filtered 'fkg:t_5710_born_skole_dis' url='https://fkg.mapcentia.com/wfs/kom167@fkg/fkg/25832' version='auto'

table="" sql=SELECT * FROM t_5710_born_skole_dis where kommunekode = 167 by the municipality code = 167, but when using Zoom

to Layer all of Denmark is displayed.

Related issues:

Related to QGIS Application - Bug report # 21112: "Zoom to layer" doesn't wor... Closed 2019-01-26

Duplicated by QGIS Application - Bug report # 21328: Filtered WFS-Layer saves... Feedback 2019-02-20

Associated revisions

Revision 32d90287 - 2019-02-06 10:32 PM - Even Rouault

[WFS provider] Correctly compute layer extent when zooming out layer (fixes #20742)

Revision 8834ec78 - 2019-02-07 05:34 PM - Even Rouault

[WFS provider] Correctly compute layer extent when zooming out layer (fixes #20742)

History

#1 - 2018-12-07 02:25 PM - Giovanni Manghi

- Status changed from Open to Feedback

Does it works as expected on 2.18?

#2 - 2018-12-07 02:55 PM - Lars Ellebjerg

Yes, 2.18 zooms to the elements which are included in the map.

#3 - 2018-12-07 02:58 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open
#4 - 2019-01-28 10:53 AM - Giovanni Manghi

- Related to Bug report #21112: "Zoom to layer" doesn't work as expected on WFS dataprovider when you have af provide feature filter applied to the 

datasource added

#5 - 2019-02-06 10:31 PM - Even Rouault

- Assignee set to Even Rouault

#6 - 2019-02-07 05:32 PM - Even Rouault

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|32d902874a7115660ee3be3ee3f531e06cdac3fc.

#7 - 2019-02-20 05:34 PM - Alessandro Pasotti

- Duplicated by Bug report #21328: Filtered WFS-Layer saves  changes to other Features added
